apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: kafka-2
  name: kafka-2
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: kafka-2
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: kafka-2
    spec:
      containers:
        - env:
            - name: BROKER_ID
              value: "2"
            - name: CLUSTER_ID
              value: ZGRkZDM1YTA1MzQwNGQyYT
            - name: KAFKA_ADVERTISED_LISTENERS
              value: INTERNAL://kafka-2:29093,EXTERNAL://localhost:39093
            - name: KAFKA_CONTROLLER_QUORUM_VOTERS
              value: 1@kafka-1:9092,2@kafka-2:9093,3@kafka-3:9094
            - name: KAFKA_INTER_BROKER_LISTENER_NAME
              value: INTERNAL
            - name: KAFKA_LISTENERS
              value: INTERNAL://:29093,EXTERNAL://:39093,CONTROLLER://kafka-2:9093
            - name: KAFKA_LISTENER_SECURITY_PROTOCOL_MAP
              value: INTERNAL:PLAINTEXT,EXTERNAL:PLAINTEXT,CONTROLLER:PLAINTEXT
          image: debezium/kafka:2.4
          name: kafka-2
          ports:
            - containerPort: 9093
          resources: {}
      restartPolicy: Always
status: {}
